* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Freight big pro";
}
body,
html {
  width: 100%;
  height: 100%;
}
#main {
  background-color: #000000;
}
#loader {
  width: 100%;
  height: 100vh;
  background-color: black;
  /* position: fixed; */
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  /* display: none; */
}
#loader h1 {
  font-size: 6.5vw;
  font-weight: 100;
  line-height: 5vw;
  position: relative;
  z-index: 9;
  letter-spacing: -3px;
}
#yellow1 {
  height: 100%;
  width: 100%;
  position: absolute;
  background-color: #f5e41b;
  z-index: 8;
}
#yellow2 {
  height: 100%;
  width: 100%;
  position: absolute;
  background-color: #f5e41b;
  z-index: 7;
}
#loader video {
  width: 100%;
  height: 100%;
  position: absolute;
  object-fit: cover;
  z-index: 6;
}
#nav {
  position: absolute;
  width: 100%;
  /* background-color: #4d4d4d;  */
  z-index: 10;
  padding: 30px 50px;
}
#nav svg path {
  fill: #000000;
}
#page1 {
  width: 100%;
  height: 100vh;
  background-color: #f5e41b;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
#page2 {
  width: 100%;
  height: 100vh;
  background-color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  background-size: cover;
  background-position: center;
  /* transition: all ease 0.8s; */
  color: white;
}

.elem {
  /* background-color: red; */
  width: 100%;
  position: relative;
  cursor: pointer;
}
.blur {
  width: 40%;
  height: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(#f5e31bce, #f5e41b, #f5e31bc9);
  box-shadow: 10px 0px 20px #f5e41b;
  z-index: 8;
}
.elem h2 {
  font-size: 6.8vw;
  font-weight: 100;
  text-transform: uppercase;
  position: relative;
  z-index: 9;
  line-height: 5vw;
  transition: all ease 0.3s;
  font-style: normal;
}
.elem .moving {
  background-color: #f5e41b;
  /* display: inline-block; */
  width: 100%;
  position: absolute;
  top: 50%;
  overflow: hidden;
  transform: translate(0, -40%) scaleY(0);
  white-space: nowrap;
  transition: all ease 0.5s;
  padding: 8px 0px;
}
.elem .moving .moving-in {
  display: inline-block;
  white-space: nowrap;
  top: 50%;
  color: #000000;
  animation: moving;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}
.elem .moving .moving-in h5 {
  display: inline-block;
  font-size: 20px;
  margin-right: 35px;
  /* background-color: aliceblue; */
  text-transform: uppercase;
  font-weight: 500;
}
@keyframes moving {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}
.elem:hover .moving {
  transform: translate(0, -40%) scaleY(1);
}
.elem:hover h2 {
  font-style: italic;
}

#page3 {
  width: 100%;
  min-height: 100vh;
  background-color: #ffffff;
}
#page1 h1 {
  font-size: 6.5vw;
  font-weight: 100;
  line-height: 5vw;
  letter-spacing: -3px;
}
.image-container {
  padding: 30px;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
}

.img-div {
  height: 40vw;
  width: 28vw;
  background-color: beige;
  position: relative;
  overflow: hidden;
  margin: 40px 20px;
}
.img-div img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  transition: all ease 0.4s;
}
.overlay {
  height: 100%;
  width: 100%;
  background-color: #00000009;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  z-index: 9;
  transition: all ease 0.4s;
}
.overlay p {
  font-size: 4vw;
  text-transform: uppercase;
  text-align: center;
  color: white;
  opacity: 0;
  transition: all ease 0.4s;
}
.img-div:hover .overlay {
  background-color: #000000;
}
.img-div:hover .overlay p {
  opacity: 1;
}
.img-div:hover img {
  scale: 1.1;
}

#footer {
  width: 100%;
  height: 40vh;
  background-color: rgb(255, 255, 255);
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 40px;
  flex-direction: column;
}

#footer #foot {
  height: 50%;
  width: 100%;
  background-color: #000000;
}
#footer h2 {
  text-transform: uppercase;
  font-size: 1.2vw;
  cursor: pointer;
}
#foot {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px;
}
#foot a {
  text-decoration: none;
  color: white;
  font-weight: 200;
  font-size: 1.4vw;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  text-transform: uppercase;
}
#foot #r a {
  margin-right: 20px;
}
/* #l:hover a{
    border-bottom: 2px solid red;
} */
#foot a:hover {
  border-bottom: 2px solid rgb(255, 255, 255);
  transition: all ease 1s;
}
